# ACE_Hash< ACE_CString > Class Template Reference

Function object for hashing a ACE_CString. More...

`#include <Functor_String.h>`

List of all members.

## Public Member Functions

unsigned long | operator() (const ACE_CString &lhs) const
| Calls ACE::hash_pjw.

## Detailed Description

### template<>
class ACE_Hash< ACE_CString >

Function object for hashing a ACE_CString.

## Member Function Documentation

ACE_BEGIN_VERSIONED_NAMESPACE_DECL ACE_INLINE unsigned long ACE_Hash< ACE_CString >::operator() | ( | const ACE_CString & | lhs | ) | const

| Calls ACE::hash_pjw.

The documentation for this class was generated from the following files:

- Functor_String.h
- Functor_String.inl